Subject: Re: fix-slab-corruption-running-ip6sic.patch

From: Jarek Poplawski <[email-masked]>
Date: Fri, 27 Apr 2007 09:18:59 +0200

On Thu, Apr 26, 2007 at 02:11:33PM -0700, Andrew Morton wrote:
> 
> I have this floating about in my tree.  Is it of any interest?
> 
> 
> 
> From: Jarek Poplawski <[email-masked]>

I know you've more interesting problems, but I'd like to
straighten something: this is not my patch!

Please, change this to:

From: Eric Sesterhenn <[email-masked]>

> 
> * Herbert Xu ([email-masked]) wrote:
> > Jarek Poplawski <[email-masked]> wrote:
> > >
> > > My proposal is: maybe Eric could change this in
> > > xfrm6_tunnel_rcv() from xfrm6_tunnel.c e.g. like this:
> > >
> > > return xfrm6_rcv_spi(skb, spi) > 0 ? : 0;
> > >
> > > and, if no errors in testing, he could resubmit this patch?
> >
> > I agree, this is the right fix.
> 
> The fix proposed by Jarek indeed fixes the problem, tested on two boxes,
> with an -rc5 kernel and a yesterdays git
> 
> Acked-by: Eric Sesterhenn <[email-masked]>
> Signed-off-by: Andrew Morton <[email-masked]>
> ---

Thanks,
Jarek P.

PS: And this one time it's not a joke... I really mean it.